Subject: French translation mistake

From: SAS <[email-masked]>
Date: Thu, 22 Sep 2022 10:59:27 +0200

Good morning,

Reading xproc.html for PG14, in both french and english, I wonder if french 
translation is totally accurate.

The english version says :
Certain function attributes, such as strictness, don't apply to procedures. 
Those attributes control how the function is used in a query, which isn't 
relevant to procedures.

while the french version says:
Certains attributs de fonction, tel que la volatilité, ne s'applique pas aux 
procédures. Ces attributs contrôlent comment la fonction est appelée dans une 
requête, ce qui est hors propos pour les procédures.

In my understanding, strictness and volatility do not have the say meaning. Am 
I wrong ?

What's more, the french sentence should have been written like "Certains 
attributs de fonction... ne s'applique*nt* pas..." I would also have written 
the second part slightly diffrently : "Ces attributs contrôlent l'utilisation 
de la fonction dans une requête, et ne sont pas pertinents dans le cas de 
procédures."

Best,

-- 
Dr Stéphane Schildknecht
Contact régional PostgreSQL pour l'Europe francophone
+33 617 11 37 42

---

From: Guillaume Lelarge <[email-masked]>
Date: Thu, 22 Sep 2022 15:32:51 +0200

Hi,

Le jeu. 22 sept. 2022 à 10:59, SAS <[email-masked]> a écrit :

> Good morning,
>
> Reading xproc.html for PG14, in both french and english, I wonder if
> french translation is totally accurate.
>
> Certain function attributes, such as strictness, don't apply to
> procedures. Those attributes control how the function is used in a query,
> which isn't relevant to procedures.
>
> Certains attributs de fonction, tel que la volatilité, ne s'applique pas
> aux procédures. Ces attributs contrôlent comment la fonction est appelée
> dans une requête, ce qui est hors propos pour les procédures.
>
> In my understanding, strictness and volatility do not have the say
> meaning. Am I wrong ?
>

I'd like to know this as well, so that I could fix it if need be.

> attributs de fonction... ne s'applique*nt* pas..." I would also have
> written the second part slightly diffrently : "Ces attributs contrôlent
> l'utilisation de la fonction dans une requête, et ne sont pas pertinents
> dans le cas de procédures."
>

This is fixed. Thanks.

-- 
Guillaume.

---

From: Alvaro Herrera <[email-masked]>
Date: Thu, 22 Sep 2022 16:10:35 +0200

> I'd like to know this as well, so that I could fix it if need be.

Well, volatility and strictness are different things.  However, you
cannot set either of them for procedures, so while this is technically
not an accurate translation, in practice it makes no difference.

create procedure f (a int) language plpgsql strict as $$ begin raise notice 'called once'; end $$;
ERROR:  invalid attribute in procedure definition
LÍNEA 1: create procedure f (a int) language plpgsql strict as $$ beg...
                                                     ^

-- 
Álvaro Herrera               48°01'N 7°57'E  —  https://www.EnterpriseDB.com/
"Right now the sectors on the hard disk run clockwise, but I heard a rumor that
you can squeeze 0.2% more throughput by running them counterclockwise.
It's worth the effort. Recommended."  (Gerry Pourwelle)

---

From: SAS <[email-masked]>
Date: Fri, 23 Sep 2022 10:13:15 +0200

Hello Alvaro,

Le 22/09/2022 à 16:10, Alvaro Herrera a écrit :
>> Le jeu. 22 sept. 2022 à 10:59, SAS<[email-masked]>  a écrit :
Many thanks for the explanation.

Best regards,